Update rent readjustment
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"rent_readjustment": {
"proposed_amount": 123,
"effective_on": "2023-12-25"
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rent_readjustment: {proposed_amount: 123, effective_on: '2023-12-25'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}"
payload = { "rent_readjustment": {
"proposed_amount": 123,
"effective_on": "2023-12-25"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"subscription_id": 123,
"status": "<string>",
"regime": "<string>",
"previous_amount": 123,
"price_since": "2023-12-25",
"eligible_on": "2023-12-25",
"effective_on": "2023-12-25",
"raise_index": "<string>",
"index_year": 123,
"index_rate": 123,
"cap_percent_of_index": 123,
"cap_amount": 123,
"proposed_amount": 123,
"currency": "<string>",
"rules": {},
"tenant_name": "<string>",
"property_address": "<string>",
"dual_approval": true,
"prepared_by_name": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"approved_by_name": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"dismissed_by_name": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"notified_by_name": "<string>",
"notified_at": "2023-11-07T05:31:56Z",
"actions": {
"edit": true,
"submit": true,
"approve": true,
"dismiss": true,
"notify": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Treasury Rent Readjustments
Update rent readjustment
Edit proposed_amount and/or effective_on while the raise is still in review (proposed or submitted). Editing a submitted raise returns it to proposed. The new amount cannot exceed the legal cap.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
rent_readjustments
/
{id}
Update rent readjustment
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"rent_readjustment": {
"proposed_amount": 123,
"effective_on": "2023-12-25"
}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({rent_readjustment: {proposed_amount: 123, effective_on: '2023-12-25'}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/rent_readjustments/{id}"
payload = { "rent_readjustment": {
"proposed_amount": 123,
"effective_on": "2023-12-25"
} }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"subscription_id": 123,
"status": "<string>",
"regime": "<string>",
"previous_amount": 123,
"price_since": "2023-12-25",
"eligible_on": "2023-12-25",
"effective_on": "2023-12-25",
"raise_index": "<string>",
"index_year": 123,
"index_rate": 123,
"cap_percent_of_index": 123,
"cap_amount": 123,
"proposed_amount": 123,
"currency": "<string>",
"rules": {},
"tenant_name": "<string>",
"property_address": "<string>",
"dual_approval": true,
"prepared_by_name": "<string>",
"prepared_at": "2023-11-07T05:31:56Z",
"approved_by_name": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"dismissed_by_name": "<string>",
"dismissed_at": "2023-11-07T05:31:56Z",
"notified_by_name": "<string>",
"notified_at": "2023-11-07T05:31:56Z",
"actions": {
"edit": true,
"submit": true,
"approve": true,
"dismiss": true,
"notify": true
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the rent readjustment
The numeric ID of the account
Body
application/json
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes